---
title: Intl.NumberFormat.prototype.resolvedOptions()
slug: Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/resolvedOptions
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - NumberFormat
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.NumberFormat.prototype.resolvedOptions()</code></strong> method returns a new object with properties reflecting the locale and number formatting options computed during initialization of this {{jsxref("NumberFormat")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-numberformat-prototype-resolvedoptions.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><var>numberFormat</var>.resolvedOptions()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A new object with properties reflecting the locale and number formatting options computed during the initialization of the given {{jsxref("NumberFormat")}} object.</p>

<h2 id="Description">Description</h2>

<p>The resulting object has the following properties:</p>

<dl>
 <dt><code>locale</code></dt>
 <dd>The BCP 47 language tag for the locale actually used. If any Unicode extension values were requested in the input BCP 47 language tag that led to this locale, the key-value pairs that were requested and are supported for this locale are included in <code>locale</code>.</dd>
 <dt><code>numberingSystem</code></dt>
 <dd>The value provided for this properties in the <code>options</code> argument, if present, or the value requested using the Unicode extension key <code>"nu"</code> or filled in as a default.</dd>
 <dt><code>notation</code></dt>
 <dd>The value provided for this property in the <code>options</code> argument, if present, or <code>"standard</code> filled in as a default.</dd>
 <dt><code>compactDisplay</code></dt>
 <dd>The value provided for this property in the <code>options</code> argument, or <code>"short"</code> filled in as a default. <br>
 This property is only present if the <code>notation</code> is set to "compact". </dd>
 <dt><code>signDisplay</code></dt>
 <dd>The value provided for this property in the <code>options</code> argument, or <code>"auto"</code> filled in as a default. </dd>
 <dt><code>useGrouping</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults.</dd>
 <dt><code>currency</code></dt>
 <dt><code>currencyDisplay</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults. These properties are only present if <code>style</code> is <code>"currency"</code>.</dd>
</dl>

<p>Only one of the following two groups of properties is included:</p>

<dl>
 <dt><code>minimumIntegerDigits</code></dt>
 <dt><code>minimumFractionDigits</code></dt>
 <dt><code>maximumFractionDigits</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults. These properties are present only if neither <code>minimumSignificantDigits</code> nor <code>maximumSignificantDigits</code> was provided in the <code>options</code> argument.</dd>
 <dt><code>minimumSignificantDigits</code></dt>
 <dt><code>maximumSignificantDigits</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults. These properties are present only if at least one of them was provided in the <code>options</code> argument.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_resolvedOptions_method">Using the <code>resolvedOptions</code> method</h3>

<pre class="brush: js">var de = new Intl.NumberFormat('de-DE');
var usedOptions = de.resolvedOptions();

usedOptions.locale;                // "de-DE"
usedOptions.numberingSystem;       // "latn"
usedOptions.notation;              // "standard"
usedOptions.signDisplay;           // "auto"
usedOption.style;                  // "decimal"
usedOptions.minimumIntegerDigits;  // 1
usedOptions.minimumFractionDigits; // 0
usedOptions.maximumFractionDigits; // 3
usedOptions.useGrouping;           // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl.numberformat.prototype.resolvedoptions', 'Intl.NumberFormat.prototype.resolvedOptions')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.NumberFormat.resolvedOptions")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("NumberFormat", "Intl.NumberFormat")}}</li>
</ul>
